Package org.eclipse.net4j.util.registry

# Class Registry.Transaction

java.lang.Object
org.eclipse.net4j.util.registry.Registry.Transaction

Enclosing class:
  Registry<K,V>

protected class Registry.Transaction extends Object

Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`Transaction()`

## Method Summary

Modifier and Type
Method
Description
`void`
`commit(boolean notifications)`
`void`
`increaseNesting()`
`boolean`
`isOwned()`
`void`
`rememberDeregistered(K key, V value)`
`void`
`rememberRegistered(K key, V value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Transaction

public Transaction()

## Method Details

### isOwned

public boolean isOwned()

### increaseNesting

public void increaseNesting()

### commit

public void commit(boolean notifications)

### rememberRegistered

public void rememberRegistered(K key, V value)

### rememberDeregistered

public void rememberDeregistered(K key, V value)